<?php

namespace App\Service;

use App\Exception;

class BranchService {
    private $branchFactory;

    public function __construct (\App\Factory\BranchFactory $branchFactory) {
        
        $this->branchFactory = $branchFactory;
    }
    
    public function getBranchs() {
        return $this->branchFactory->getBranchs();
    }
    
    public function getBranchAddress($merchantId) {
       return $this->branchFactory->getBranchAddress($merchantId);
    }
}
